@echo off

rem FILE: makeall.bat           Copyright (c), Symmetric Research, 1998-1999
rem
rem This batch file does a complete build of the SR DSPA64 software.  See
rem the makeall.rpt report file when done for any errors.
rem
rem
rem NOTES:
rem
rem Because the DSPA64 works in conjuction with the DSP32C/DSPHLF board,
rem you must have the SR DSP32C software installed on your system before
rem running this batch file.  You must also have the Microsoft Visual C++
rem 6.0 compiler installed.
rem
rem



echo Building SR DSPA64 Win9x software ... see makeall.rpt for errors ...
echo.

echo SR DSPA64 Win9x build report ...             > MAKEALL.RPT


cd dll
nmake /a                                         >> ..\MAKEALL.RPT
if errorlevel 1 goto error

cd ..\diags
nmake /a                                         >> ..\MAKEALL.RPT
if errorlevel 1 goto error

cd ..\examples
nmake /a                                         >> ..\MAKEALL.RPT
if errorlevel 1 goto error

cd ..\simple
nmake /a                                         >> ..\MAKEALL.RPT
if errorlevel 1 goto error

cd ..\scope
nmake /a                                         >> ..\MAKEALL.RPT
if errorlevel 1 goto error

cd ..\suds
nmake /a                                         >> ..\MAKEALL.RPT
if errorlevel 1 goto error

cd ..\2task
nmake /a                                         >> ..\MAKEALL.RPT
if errorlevel 1 goto error




goto return






rem Return to DOS:
rem
rem
rem
rem


:error
echo An error occurred, see the makeall.rpt report file ...


:return
cd ..


@echo on