/* global symbol values from dspa64.dsp */

#define DSP_RESET                         0x00000000L     /* CONS (0001) */
#define DSP_DATA                          0x00001000L     /* CONS (0001) */
#define DSP_main                          0x00000000L     /* FUNC (0040) */
#define DSP_POLL_IBF                      0x00000058L     /* GOTO (0080) */
#define DSP_WORDSIZE                      0x00000002L     /* CONS (0001) */
#define DSP_NCHANNEL                      0x00000002L     /* CONS (0001) */
#define DSP_NTRACE                        0x00000200L     /* CONS (0001) */
#define DSP_NBUFFER                       0x00000800L     /* CONS (0001) */
#define DSP_NOT_READY                     0x00000000L     /* CONS (0001) */
#define DSP_BUFFER1_READY                 0x00000001L     /* CONS (0001) */
#define DSP_BUFFER2_READY                 0x00000002L     /* CONS (0001) */
#define DSP_SYSTEM                        0x00000100L     /* CONS (0001) */
#define DSP_FILTER_SCALE                  0x00000100L     /* IEEE (0020) */
#define DSP_FILTER_COEFF                  0x00000104L     /* IEEE (0020) */
#define DSP_NCOUNT                        0x00000108L     /* LONG (0008) */
#define DSP_BUFFER1                       0x0000010CL     /* LONG (0008) */
#define DSP_BUFFER1_END                   0x00000110L     /* LONG (0008) */
#define DSP_BUFFER2                       0x00000114L     /* LONG (0008) */
#define DSP_BUFFER2_END                   0x00000118L     /* LONG (0008) */
#define DSP_C00                           0x0000011CL     /* LONG (0008) */
#define DSP_C01                           0x0000012CL     /* LONG (0008) */
#define DSP_C02                           0x0000013CL     /* LONG (0008) */
#define DSP_C03                           0x0000014CL     /* LONG (0008) */
#define DSP_C04                           0x0000015CL     /* LONG (0008) */
#define DSP_C05                           0x0000016CL     /* LONG (0008) */
#define DSP_C06                           0x0000017CL     /* LONG (0008) */
#define DSP_C07                           0x0000018CL     /* LONG (0008) */
#define DSP_C08                           0x0000019CL     /* LONG (0008) */
#define DSP_C09                           0x000001ACL     /* LONG (0008) */
#define DSP_C0A                           0x000001BCL     /* LONG (0008) */
#define DSP_C0B                           0x000001CCL     /* LONG (0008) */
#define DSP_C0C                           0x000001DCL     /* LONG (0008) */
#define DSP_C0D                           0x000001ECL     /* LONG (0008) */
#define DSP_C0E                           0x000001FCL     /* LONG (0008) */
#define DSP_C0F                           0x0000020CL     /* LONG (0008) */
#define DSP_C10                           0x0000021CL     /* LONG (0008) */
#define DSP_C11                           0x0000022CL     /* LONG (0008) */
#define DSP_C12                           0x0000023CL     /* LONG (0008) */
#define DSP_C13                           0x0000024CL     /* LONG (0008) */
#define DSP_C14                           0x0000025CL     /* LONG (0008) */
#define DSP_C15                           0x0000026CL     /* LONG (0008) */
#define DSP_C16                           0x0000027CL     /* LONG (0008) */
#define DSP_C17                           0x0000028CL     /* LONG (0008) */
#define DSP_C18                           0x0000029CL     /* LONG (0008) */
#define DSP_C19                           0x000002ACL     /* LONG (0008) */
#define DSP_C1A                           0x000002BCL     /* LONG (0008) */
#define DSP_C1B                           0x000002CCL     /* LONG (0008) */
#define DSP_C1C                           0x000002DCL     /* LONG (0008) */
#define DSP_C1D                           0x000002ECL     /* LONG (0008) */
#define DSP_C1E                           0x000002FCL     /* LONG (0008) */
#define DSP_C1F                           0x0000030CL     /* LONG (0008) */
#define DSP_C20                           0x0000031CL     /* LONG (0008) */
#define DSP_C21                           0x0000032CL     /* LONG (0008) */
#define DSP_C22                           0x0000033CL     /* LONG (0008) */
#define DSP_C23                           0x0000034CL     /* LONG (0008) */
#define DSP_C24                           0x0000035CL     /* LONG (0008) */
#define DSP_C25                           0x0000036CL     /* LONG (0008) */
#define DSP_C26                           0x0000037CL     /* LONG (0008) */
#define DSP_C27                           0x0000038CL     /* LONG (0008) */
#define DSP_C28                           0x0000039CL     /* LONG (0008) */
#define DSP_C29                           0x000003ACL     /* LONG (0008) */
#define DSP_C2A                           0x000003BCL     /* LONG (0008) */
#define DSP_C2B                           0x000003CCL     /* LONG (0008) */
#define DSP_C2C                           0x000003DCL     /* LONG (0008) */
#define DSP_C2D                           0x000003ECL     /* LONG (0008) */
#define DSP_C2E                           0x000003FCL     /* LONG (0008) */
#define DSP_C2F                           0x0000040CL     /* LONG (0008) */
#define DSP_C30                           0x0000041CL     /* LONG (0008) */
#define DSP_C31                           0x0000042CL     /* LONG (0008) */
#define DSP_C32                           0x0000043CL     /* LONG (0008) */
#define DSP_C33                           0x0000044CL     /* LONG (0008) */
#define DSP_C34                           0x0000045CL     /* LONG (0008) */
#define DSP_C35                           0x0000046CL     /* LONG (0008) */
#define DSP_C36                           0x0000047CL     /* LONG (0008) */
#define DSP_C37                           0x0000048CL     /* LONG (0008) */
#define DSP_C38                           0x0000049CL     /* LONG (0008) */
#define DSP_C39                           0x000004ACL     /* LONG (0008) */
#define DSP_C3A                           0x000004BCL     /* LONG (0008) */
#define DSP_C3B                           0x000004CCL     /* LONG (0008) */
#define DSP_C3C                           0x000004DCL     /* LONG (0008) */
#define DSP_C3D                           0x000004ECL     /* LONG (0008) */
#define DSP_C3E                           0x000004FCL     /* LONG (0008) */
#define DSP_C3F                           0x0000050CL     /* LONG (0008) */
#define DSP_VALUES                        0x00001000L     /* WORD (0004) */
#define DSP_ILEN_00                       0x00000000L     /* CONS (0001) */
#define DSP_ILEN_08                       0x00000040L     /* CONS (0001) */
#define DSP_ILEN_16                       0x00000080L     /* CONS (0001) */
#define DSP_ILEN_32                       0x000000C0L     /* CONS (0001) */
#define DSP_OLEN_00                       0x00000000L     /* CONS (0001) */
#define DSP_OLEN_08                       0x00000400L     /* CONS (0001) */
#define DSP_OLEN_16                       0x00000800L     /* CONS (0001) */
#define DSP_OLEN_32                       0x00000C00L     /* CONS (0001) */
#define DSP_IN_LSB                        0x00000000L     /* CONS (0001) */
#define DSP_IN_MSB                        0x00010000L     /* CONS (0001) */
#define DSP_OUT_LSB                       0x00000000L     /* CONS (0001) */
#define DSP_OUT_MSB                       0x00020000L     /* CONS (0001) */


